﻿/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
 
var app = {
    // Application Constructor
    initialize: function() {
        this.bindEvents();
    },
    // Bind Event Listeners
    //
    // Bind any events that are required on startup. Common events are:
    // 'load', 'deviceready', 'offline', and 'online'.
    bindEvents: function() {
        document.addEventListener('deviceready', this.onDeviceReady, false);
		document.addEventListener('backbutton', this.onBackKeyDown, true);
        document.addEventListener('online', this.OnlineYoxla, false);
        document.addEventListener('offline', this.OfflineYoxla, false);		
    },
    // deviceready Event Handler
    //
    // The scope of 'this' is the event. In order to call the 'receivedEvent'
    // function, we must explicity call 'app.receivedEvent(...);'
    onDeviceReady: function() {

		parsePlugin.initialize('9EaY3Qn46jZXwFL1lxCpdEgWGbT3gQOrjxOnE0DK', 'DxGMGcA4pIwwPtAnM4RMs0NHbOzfpXn0wiLr6NbG', function() {
			//alert('success');
		}, function(e) {
			//alert('error');
		});
		
		registerAdEvents();
		//if(FacebookAds) FacebookAds.createNativeAd(adid.native);
	
		console.log(navigator.camera);
		
		//var devicemm = device.model;
		//if (device.model=='' );
		//alert(devicemm);
		//if (devicemm.indexOf("iPhone5") >= 0)
			//{ 
				//alert (devicemm); 
			//	document.getElementById("viewport").setAttribute("content", "initial-scale=0.6, maximum-scale=0.6, minimum-scale=0.6, user-scalable=no, target-densitydpi=high-dpi");
			//}
			
    },
	onBackKeyDown: function() {
	//alert('back');
    //navigator.app.backHistory();
		navigator.notification.confirm('Bazardan çıxmaq istəyirsiniz?', onConfirm, 'Çıxış', ['Bəli','Xeyr']);	
		//navigator.app.exitApp();
	},
	OnlineYoxla: function() {
	    //alert('online');
		// it will display smart banner at top center, using the default options
		//if(FacebookAds) FacebookAds.createBanner( adid.banner );
		//if(FacebookAds) FacebookAds.prepareInterstitial( {adId:adid.interstitial, autoShow:false} );
		//if(FacebookAds) FacebookAds.showInterstitial();
		//registerAdEvents();	
	},
	OfflineYoxla: function() {
	    //alert('No Internet Connection');
		navigator.notification.alert('Internetinizi aktiv edin', alertDismissed, 'Səhv', 'Çıxış');
		navigator.app.exitApp();
	},	
    // Update DOM on a Received Event
    receivedEvent: function(id) {
	
	}
	
};
